Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2018-1091

Published: 27 March 2018

In the flush_tmregs_to_thread function in arch/powerpc/kernel/ptrace.c in the Linux kernel before 4.13.5, a guest kernel crash can be triggered from unprivileged userspace during a core dump on a POWER host due to a missing processor feature check and an erroneous use of transactional memory (TM) instructions in the core dump path, leading to a denial of service.

Priority

Medium

Cvss 3 Severity Score

5.5

Score breakdown

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
artful
Released (4.13.0-17.20)
trusty Not vulnerable

upstream
Released (4.14~rc2)
xenial Not vulnerable

Patches:
Introduced by

cd63f3cf1d59b7ad8419eba1cac8f9126e79cc43

Fixed by c1fa0768a8713b135848f78fd43ffc208d8ded70
linux-aws
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Not vulnerable

upstream
Released (4.14~rc2)
xenial Not vulnerable

linux-azure
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Not vulnerable
(4.15.0-1023.24~14.04.1)
upstream
Released (4.14~rc2)
xenial Not vulnerable
(4.13.0-1005.7)
linux-euclid
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Ignored
(was needs-triage ESM criteria)
linux-flo
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.14~rc2)
xenial Ignored
(abandoned)
linux-gcp
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable
(4.13.0-1002.5)
linux-gke
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable

linux-goldfish
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.14~rc2)
xenial Not vulnerable

linux-grouper
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.14~rc2)
xenial Does not exist

linux-hwe
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable
(4.13.0-26.29~16.04.2)
linux-hwe-edge
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable
(4.13.0-26.29~16.04.2)
linux-kvm
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable

linux-lts-trusty
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Does not exist

linux-lts-utopic
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
upstream
Released (4.14~rc2)
xenial Does not exist

linux-lts-vivid
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
upstream
Released (4.14~rc2)
xenial Does not exist

linux-lts-wily
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
upstream
Released (4.14~rc2)
xenial Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Not vulnerable

upstream
Released (4.14~rc2)
xenial Does not exist

linux-maguro
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.14~rc2)
xenial Does not exist

linux-mako
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.14~rc2)
xenial Ignored
(abandoned)
linux-manta
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.14~rc2)
xenial Does not exist

linux-oem
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable
(4.13.0-1008.9)
linux-raspi2
Launchpad, Ubuntu, Debian
artful
Released (4.13.0-1006.6)
trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable

linux-snapdragon
Launchpad, Ubuntu, Debian
artful Not vulnerable

trusty Does not exist

upstream
Released (4.14~rc2)
xenial Not vulnerable

Severity score breakdown

Parameter Value
Base score 5.5
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H